package cn.iocoder.yudao.module.system.enums.robot.remote;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum RemoteModeEnum {
    AUTOMATIC(0, "自动模式"),
    HAND_MOVEMENT(1, "手动模式"),
    FREE(2, "自由模式");
    /**
     * 类型
     */
    private final Integer type;
    private final String msg;

    public static String getMsg(Integer type) {
        if (AUTOMATIC.getType().equals(type)) {
            return AUTOMATIC.getMsg();
        } else if (HAND_MOVEMENT.getType().equals(type)) {
            return HAND_MOVEMENT.getMsg();
        }
        return FREE.getMsg();
    }
}
